Package org.gradle.nativeplatform

## Interface Repositories

- All Superinterfaces:
    `java.util.Collection<ArtifactRepository>`, `Configurable<NamedDomainObjectContainer<ArtifactRepository>>`, `DomainObjectCollection<ArtifactRepository>`, `DomainObjectSet<ArtifactRepository>`, `java.lang.Iterable<ArtifactRepository>`, `NamedDomainObjectCollection<ArtifactRepository>`, `NamedDomainObjectContainer<ArtifactRepository>`, `NamedDomainObjectSet<ArtifactRepository>`, `PolymorphicDomainObjectContainer<ArtifactRepository>`, `java.util.Set<ArtifactRepository>`

      @Incubating
      public interface Repositories
      extends PolymorphicDomainObjectContainer<ArtifactRepository>

  The repositories that Gradle will search for prebuilt libraries.

- - ### Method Summary

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getCollectionSchema, getNamer, getNames, getRules, named, named, named, named`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

      `configure, create, create, create, maybeCreate, register, register`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, named, withType`

    - ### Methods inherited from interface org.gradle.api.PolymorphicDomainObjectContainer

      `containerWithType, create, create, maybeCreate, register, register`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`